Bug 159966 - [maintainer update] Update sysutils/boxbackup-devel to SVN version 2979
[maintainer update] Update sysutils/boxbackup-devel to SVN version 2979
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Ryan Steinmetz
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-21 11:50 UTC by James O'Gorman
Modified: 2011-09-16 22:00 UTC (History)
0 users

See Also:


Attachments
boxbackup-devel.patch (18.40 KB, patch)
2011-08-21 11:50 UTC, James O'Gorman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James O'Gorman 2011-08-21 11:50:08 UTC
 Update boxbackup-devel to latest development version
 - Include new manpages
 - Add periodic script (disabled by default)
 - Rename files/bbackupd.sh.in to files/bbackupd.in
 - Rename files/bbstored.sh.in to files/bbstored.in
 - Remove patch files (included upstream)
 - Remove pkg-install and pkg-deinstall
 - Make use of USERS and GROUPS macros
Comment 1 Ryan Steinmetz freebsd_committer 2011-08-23 12:55:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->zi

I'll take it.
Comment 2 James O'Gorman 2011-09-10 12:49:29 UTC
Hi,

When this is committed, could you please include r1.2 of the rc.d
scripts (changes recommended by dougb@) and also the changes in
ports/160618?

Thanks!

James
Comment 3 dfilter freebsd_committer 2011-09-16 21:55:02 UTC
zi          2011-09-16 20:54:53 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/boxbackup-devel Makefile distinfo pkg-descr pkg-plist 
    sysutils/boxbackup-devel/files pkg-message.client 
                                   pkg-message.server 
  Added files:
    sysutils/boxbackup-devel/files 999.boxbackup.in bbackupd.in 
                                   bbstored.in 
  Removed files:
    sysutils/boxbackup-devel pkg-deinstall pkg-install 
    sysutils/boxbackup-devel/files bbackupd.sh.in bbstored.sh.in 
                                   patch-configure.ac 
                                   patch-lib-common-BoxPortsAndFiles.h 
  Log:
  - Update to SVN Version 0.11_trunk_2979
  - Fix and rename rc scripts
  - Pacify portlint(1)
  - Use USERS/GROUPS
  - Add LICENSE
  - Fix COMMENT
  
  PR:             ports/159966 ports/160618
  Submitted by:   James O'Gorman <james@netinertia.co.uk> (maintainer)
  Approved by:    wxs (mentor)
  
  Revision  Changes    Path
  1.21      +50 -52    ports/sysutils/boxbackup-devel/Makefile
  1.6       +2 -2      ports/sysutils/boxbackup-devel/distinfo
  1.1       +66 -0     ports/sysutils/boxbackup-devel/files/999.boxbackup.in (new)
  1.1       +28 -0     ports/sysutils/boxbackup-devel/files/bbackupd.in (new)
  1.5       +0 -27     ports/sysutils/boxbackup-devel/files/bbackupd.sh.in (dead)
  1.1       +28 -0     ports/sysutils/boxbackup-devel/files/bbstored.in (new)
  1.5       +0 -27     ports/sysutils/boxbackup-devel/files/bbstored.sh.in (dead)
  1.3       +0 -35     ports/sysutils/boxbackup-devel/files/patch-configure.ac (dead)
  1.4       +0 -25     ports/sysutils/boxbackup-devel/files/patch-lib-common-BoxPortsAndFiles.h (dead)
  1.3       +2 -2      ports/sysutils/boxbackup-devel/files/pkg-message.client
  1.3       +2 -2      ports/sysutils/boxbackup-devel/files/pkg-message.server
  1.3       +0 -69     ports/sysutils/boxbackup-devel/pkg-deinstall (dead)
  1.3       +1 -1      ports/sysutils/boxbackup-devel/pkg-descr
  1.5       +0 -36     ports/sysutils/boxbackup-devel/pkg-install (dead)
  1.5       +12 -9     ports/sysutils/boxbackup-devel/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Ryan Steinmetz freebsd_committer 2011-09-16 21:56:15 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!